create device backup.md
Create device backup
Fleets API · Devices
POST https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/backup
Creates a backup for specific device. This backup can be restored to a device later.
RBAC Capability Required: fleet.device.update
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
name |
string | Yes | — |
Request body
Content type: application/json
metadata· object · Required — Resource metadata.displayName· string · Required — A human-readable name for the resource.labels· map from strings to string · Optional — A dictionary of labels associated with the resource. Maximum number of labels: 32. Maximum length of a label or value: 256 characters. Label: alphanumeric, hyphens and underscores. Value: alphanumeric, hyphens, underscores and spaces.[any key]· string — map of additional properties
spec· object · Required — Device backup specificationbackupAssetFile· boolean · Optional · Defaults to false — If the asset file should be backed up or notbackupName· string · Optional · <=255 characters — The name of the backup. The backup name can be passed to the /restore endpoint to apply the backup to the device in future. Choose a name that will help to recall the purpose of the backup, for example: an event. It is recommended that you include the date to differentiate backup versions.
Example request
curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/backup" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"metadata": {
"displayName": "string",
"labels": {
"key": "string"
}
},
"spec": {
"backupAssetFile": false,
"backupName": "summer-event-20260116-144630"
}
}'
Responses
202 — The device backup was successfully created.
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
409 — Conflict
429 — Too Many Requests
500 — Internal Server Error
Source spec: fleets-api · operationId: [post]_/api/v1/projects/{project_name}/fleet/devices/{name}/backup